<!--
 * @Author: 张嘉彬
 * @Date: 2021-10-13 15:15:36
 * @Description:
-->
<template>
  <div>
    <template v-if='imgUrl'>
      <div v-if="getFileType(imgUrl) === 'video'">
        <el-tooltip placement="left" effect="light">
          <div slot="content">
            <video :src="imgUrl" width="100px" />
          </div>
          <video :src="imgUrl" />
        </el-tooltip>
      </div>
      <div v-viewer v-else>
        <el-tooltip placement="left" effect="light">
          <div slot="content"><img :src="imgUrl" width="100px" /></div>
          <img :src="imgUrl" />
        </el-tooltip>
      </div>
    </template>
    <span v-else>-</span>
  </div>
</template>

<script>
import { getFileType } from '@/utils/getFileType'
export default {
  props: ['imgUrl'],
  methods: {
    // 获取文件类型
    getFileType (file) {
      return getFileType(file)
    }
  }
}
</script>

<style>
</style>
